Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.testelement.property
Class PropertyIteratorImpl

    java.lang.Object
      org.apache.jmeter.testelement.property.PropertyIteratorImpl

All Implemented Interfaces:
  PropertyIterator

    public class PropertyIteratorImpl

extends Object
implements PropertyIterator

Constructor Summary
`PropertyIteratorImpl(Collection<JMeterProperty> value)`

Method Summary
`boolean` | `hasNext()`
`JMeterProperty` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyIteratorImpl

    public PropertyIteratorImpl(Collection<JMeterProperty> value)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `PropertyIterator`

### next

    public JMeterProperty next()

  Specified by:
    `next` in interface `PropertyIterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `PropertyIterator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.